<html>
<head>
<title>Ogre::DriverVersion Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1DriverVersion.html">DriverVersion</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::DriverVersion Struct Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::DriverVersion" -->
<p><a class="el" href="structOgre_1_1DriverVersion.html" title="DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the cu...">DriverVersion</a> is used by <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> and both GL and D3D9 to store the version of the current GPU driver.  
 <a href="structOgre_1_1DriverVersion.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>&gt;</code></p>

<p><a href="structOgre_1_1DriverVersion-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html#a25b4560ade1696aca231b4a6db4cbc0b">DriverVersion</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html#a5b83483359abfde03c2c032b7f6f4b67">toString</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html#a32143ae51ec5ee29204ea2afe3e851c2">fromString</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;versionString)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html#a2a220ab8ccde79520d30871b5453d31f">major</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html#a81eb6896cc0c21829f6af65b6913f4cc">minor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html#ae682f3bab912af152cb3f6e8497815f6">release</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1DriverVersion.html#ac233befea948c74a75aaf937be7f78ec">build</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="structOgre_1_1DriverVersion.html" title="DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the cu...">DriverVersion</a> is used by <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> and both GL and D3D9 to store the version of the current GPU driver. </p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00186">186</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a25b4560ade1696aca231b4a6db4cbc0b"></a><!-- doxytag: member="Ogre::DriverVersion::DriverVersion" ref="a25b4560ade1696aca231b4a6db4cbc0b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1DriverVersion.html#a25b4560ade1696aca231b4a6db4cbc0b">Ogre::DriverVersion::DriverVersion</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00193">193</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a32143ae51ec5ee29204ea2afe3e851c2"></a><!-- doxytag: member="Ogre::DriverVersion::fromString" ref="a32143ae51ec5ee29204ea2afe3e851c2" args="(const String &amp;versionString)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1DriverVersion.html#a32143ae51ec5ee29204ea2afe3e851c2">Ogre::DriverVersion::fromString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>versionString</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00205">205</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1StringConverter.html#a77d05cbca629795de8b9496b31b0de33">Ogre::StringConverter::parseInt()</a>, and <a class="el" href="classOgre_1_1StringUtil.html#a955202dfe4cd4be53cb582065b8ebe9f">Ogre::StringUtil::split()</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00329">Ogre::RenderSystemCapabilities::parseDriverVersionFromString()</a>.</p>

</div>
</div>
<a class="anchor" id="a5b83483359abfde03c2c032b7f6f4b67"></a><!-- doxytag: member="Ogre::DriverVersion::toString" ref="a5b83483359abfde03c2c032b7f6f4b67" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1DriverVersion.html#a5b83483359abfde03c2c032b7f6f4b67">Ogre::DriverVersion::toString</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00198">198</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ac233befea948c74a75aaf937be7f78ec"></a><!-- doxytag: member="Ogre::DriverVersion::build" ref="ac233befea948c74a75aaf937be7f78ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1DriverVersion.html#ac233befea948c74a75aaf937be7f78ec">Ogre::DriverVersion::build</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00191">191</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00363">Ogre::RenderSystemCapabilities::isDriverOlderThanVersion()</a>.</p>

</div>
</div>
<a class="anchor" id="a2a220ab8ccde79520d30871b5453d31f"></a><!-- doxytag: member="Ogre::DriverVersion::major" ref="a2a220ab8ccde79520d30871b5453d31f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1DriverVersion.html#a2a220ab8ccde79520d30871b5453d31f">Ogre::DriverVersion::major</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00188">188</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00363">Ogre::RenderSystemCapabilities::isDriverOlderThanVersion()</a>.</p>

</div>
</div>
<a class="anchor" id="a81eb6896cc0c21829f6af65b6913f4cc"></a><!-- doxytag: member="Ogre::DriverVersion::minor" ref="a81eb6896cc0c21829f6af65b6913f4cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1DriverVersion.html#a81eb6896cc0c21829f6af65b6913f4cc">Ogre::DriverVersion::minor</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00189">189</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00363">Ogre::RenderSystemCapabilities::isDriverOlderThanVersion()</a>.</p>

</div>
</div>
<a class="anchor" id="ae682f3bab912af152cb3f6e8497815f6"></a><!-- doxytag: member="Ogre::DriverVersion::release" ref="ae682f3bab912af152cb3f6e8497815f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1DriverVersion.html#ae682f3bab912af152cb3f6e8497815f6">Ogre::DriverVersion::release</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00190">190</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderSystemCapabilities_8h_source.html#l00363">Ogre::RenderSystemCapabilities::isDriverOlderThanVersion()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
